Bug 1568137 - RFE: python-scikit-learn 'provides' python-sklearn
Summary: RFE: python-scikit-learn 'provides' python-sklearn
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-scikit-learn
Version: 28
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 19:56 UTC by David Goerger
Modified: 2019-05-28 21:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:59:57 UTC
Type: Bug


Attachments (Terms of Use)

Description David Goerger 2018-04-16 19:56:18 UTC
Description of problem:

Using pyp2rpm/copr to automatically build modules from PyPI reference 'python{2,3}-sklearn', which appears to be the python{2,3}-scikit-learn package:

===
$ sudo dnf repoquery --whatprovides /usr/lib64/python3.6/site-packages/sklearn
python3-scikit-learn-0:0.19.1-2.fc28.x86_64
===

I see a python-provides statement was added to SPEC with release 0.17.1-4 in 2016[1], but dnf doesn't seem to find it.

===
$ sudo dnf install python3-sklearn
No match for argument: python3-sklearn
Error: Unable to find a match
===


Version-Release number of selected component (if applicable):
0.19.1-2 (and all prior)


How reproducible:
always


Steps to Reproduce:
1. dnf install python3-sklearn


Actual results:
- fails to find python3-sklearn


Expected results:
- resolves package name to python3-scikit-learn


Additional info:

Below is a suggested patch.. I'm not familiar enough with the 'python-provides' directive to know if there's a better way, but building 'hmmlearn' via pyp2rpm on COPR fails due to inability to resolve 'python3-sklearn'.

===
$ diff -Naur python-scikit-learn.spec.orig python-scikit-learn.spec
--- python-scikit-learn.spec.orig       2017-02-11 15:15:17.000000000 -0500
+++ python-scikit-learn.spec    2018-04-16 15:51:53.831689289 -0400
@@ -41,6 +41,7 @@
 Requires: python2-numpy
 Requires: python2-scipy
 Requires: python2-joblib
+Provides: python2-sklearn
 
 %{?python_provide:%python_provide python2-%{srcname}}
 %{?python_provide:%python_provide python2-sklearn}
@@ -56,6 +57,7 @@
 BuildRequires: python3-six >= 1.4.1
 BuildRequires: python3-Cython python3-pillow
 Requires: python3-numpy python3-scipy python3-joblib
+Provides: python3-sklearn
 
 %{?python_provide:%python_provide python3-%{srcname}}
 %{?python_provide:%python_provide python3-sklearn}
===


[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=855184

Comment 1 David Goerger 2018-04-16 20:24:15 UTC
I rebuilt 0.18.1-2 with the provided patch, and confirmed it works now on F26:


$ sudo dnf install python3-sklearn
Package python3-scikit-learn-0.18.1-3.fc26.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!


I'm unsure if this is a SPEC file problem or a dnf problem, not picking up the existing python-provides directive. In the meantime we'll be shipping the patched RPM in our department COPR repo[1] in order to semi-cleanly provide python3-hmmlearn for our courses.

Thanks for your help!


[1] https://copr.fedorainfracloud.org/coprs/dgoerger/yale-zoo/

Comment 2 Ben Cotton 2019-05-02 21:13:54 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 21:59:57 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.